#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/pgmspace.h>
#include "spi.h"
#include "lcd.h"
#include "global.h"

#define PI	3.1415916
#define F	8

int main(void)
{unsigned int x,y;

	spi_init();

	lcd_clear();
	lcd_setpwm(110);

	lcd_setadress(25,10);
	lcd_writetext("cos(x*2*PI/480)*sin(x*2*PI/480*4)");

	for (x=0; x<640*F; x++)
	{
		y=(int)240+200*(cos(x*2*PI/480/F)*sin(x*2*PI/480/F*4));
		lcd_setpixel(x/F,y);
	}

	for (;;);
}

void delay (unsigned int us)		//Fr 8MHz kalibriert !
{   unsigned int i;
    for (i=0;i<us;i++)
    	{asm ("nop");}
}